> For the complete documentation index, see [llms.txt](https://40factory.gitbook.io/wilson/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://40factory.gitbook.io/wilson/3.11/rest-api/chat.md).

# Chat

- [List chats](https://40factory.gitbook.io/wilson/3.11/rest-api/chat/list-chats.md): This endpoint retrieves a list of chat conversations.
- [List chat messages](https://40factory.gitbook.io/wilson/3.11/rest-api/chat/list-chat-messages.md): This endpoint retrieves the chat messages for a specific chat identified by the \<chat\_id>.
- [Create chat](https://40factory.gitbook.io/wilson/3.11/rest-api/chat/create-chat.md): This endpoint allows the user to create a new chat.
- [Edit chat](https://40factory.gitbook.io/wilson/3.11/rest-api/chat/edit-chat.md): This endpoint allows the user to edit some attributes of a specific chat identified by the \<chat\_id>.
- [Send chat message](https://40factory.gitbook.io/wilson/3.11/rest-api/chat/send-chat-message.md): This endpoint allows the user to send a message, get the generated response, and save it in a specific chat identified by the \<chat\_id>.
- [Export chat](https://40factory.gitbook.io/wilson/3.11/rest-api/chat/export-chat.md): This endpoint allows to export a specific chat identified by the \<chat\_id>.
- [Text-to-speech](https://40factory.gitbook.io/wilson/3.11/rest-api/chat/edit-chat-1.md): This endpoint allows to transform text message linked to a chat by the \<chat\_id> into an audio.
- [Speech-to-text](https://40factory.gitbook.io/wilson/3.11/rest-api/chat/edit-chat-2.md): This endpoint allows to transform text message linked to a chat by the \<chat\_id> into an audio.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://40factory.gitbook.io/wilson/3.11/rest-api/chat.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
